Index: libffi/ChangeLog
===================================================================
--- libffi/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libffi/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,22 @@
+2013-05-22  Dominique d'Humieres  <dominiq@lps.ens.fr>
+	    Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>
+
+	PR libffi/56033
+	* testsuite/libffi.call/cls_struct_va1.c (test_fn): Cast resp to
+	ffi_arg *.
+	* testsuite/libffi.call/cls_uint_va.c (cls_ret_T_fn): Likewise.
+	* testsuite/libffi.call/va_1.c (main): Change res to ffi_arg.
+	* testsuite/libffi.call/va_struct1.c (main): Likewise.
+
+2013-03-22  Jakub Jelinek  <jakub@redhat.com>
+
+	PR other/43620
+	* configure.ac (AM_INIT_AUTOMAKE): Add no-dist.
+	* Makefile.in: Regenerated.
+	* include/Makefile.in: Regenerated.
+	* man/Makefile.in: Regenerated.
+	* testsuite/Makefile.in: Regenerated.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: libffi/testsuite/libffi.call/va_struct1.c
===================================================================
--- libffi/testsuite/libffi.call/va_struct1.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libffi/testsuite/libffi.call/va_struct1.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -61,7 +61,7 @@
   struct large_tag l1;
 
   int n;
-  int res;
+  ffi_arg res;
 
   s_type.size = 0;
   s_type.alignment = 0;
Index: libffi/testsuite/libffi.call/cls_uint_va.c
===================================================================
--- libffi/testsuite/libffi.call/cls_uint_va.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libffi/testsuite/libffi.call/cls_uint_va.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -13,9 +13,9 @@
 static void cls_ret_T_fn(ffi_cif* cif __UNUSED__, void* resp, void** args,
 			 void* userdata __UNUSED__)
  {
-   *(T *)resp = *(T *)args[0];
+   *(ffi_arg *)resp = *(T *)args[0];
 
-   printf("%d: %d %d\n", *(T *)resp, *(T *)args[0], *(T *)args[1]);
+   printf("%d: %d %d\n", (int)*(ffi_arg *)resp, *(T *)args[0], *(T *)args[1]);
  }
 
 typedef T (*cls_ret_T)(T, ...);
Index: libffi/testsuite/libffi.call/va_1.c
===================================================================
--- libffi/testsuite/libffi.call/va_1.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libffi/testsuite/libffi.call/va_1.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -94,7 +94,7 @@
   struct large_tag l1;
 
   int n;
-  int res;
+  ffi_arg res;
 
   unsigned char uc;
   signed char sc;
Index: libffi/testsuite/libffi.call/cls_struct_va1.c
===================================================================
--- libffi/testsuite/libffi.call/cls_struct_va1.c	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libffi/testsuite/libffi.call/cls_struct_va1.c	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -35,7 +35,7 @@
   printf ("%d %d %d %d %d %d %d %d %d %d\n", n, s1.a, s1.b,
 	  l1.a, l1.b, l1.c, l1.d, l1.e,
 	  s2.a, s2.b);
-  * (int*) resp = 42;
+  * (ffi_arg*) resp = 42;
 }
 
 int
Index: libffi/configure.ac
===================================================================
--- libffi/configure.ac	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libffi/configure.ac	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -12,7 +12,7 @@
 
 . ${srcdir}/configure.host
 
-AM_INIT_AUTOMAKE
+AM_INIT_AUTOMAKE([no-dist])
 
 # See if makeinfo has been installed and is modern enough
 # that we can use it.
Index: libcpp/ChangeLog
===================================================================
--- libcpp/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libcpp/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,9 @@
+2013-04-03  Sebastian Huber  <sebastian.huber@embedded-brains.de>
+
+	PR target/56771
+	* configure.ac: Require 64-bit int for arm*-*-rtems*.
+	* configure: Regenerate.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
Index: libcpp/configure.ac
===================================================================
--- libcpp/configure.ac	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libcpp/configure.ac	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -185,6 +185,7 @@
 	aarch64*-*-* | \
 	alpha*-*-* | \
 	arm*-*-*eabi* | \
+	arm*-*-rtems* | \
 	arm*-*-symbianelf* | \
 	x86_64-*-* | \
 	ia64-*-* | \
Index: libcpp/po/ChangeLog
===================================================================
--- libcpp/po/ChangeLog	(.../tags/gcc_4_8_0_release)	(revision 199208)
+++ libcpp/po/ChangeLog	(.../branches/gcc-4_8-branch)	(revision 199208)
@@ -1,3 +1,11 @@
+2013-03-30  Joseph Myers  <joseph@codesourcery.com>
+
+	* vi.po: Update.
+
+2013-03-27  Joseph Myers  <joseph@codesourcery.com>
+
+	* zh_TW.po: Update.
+
 2013-03-22  Release Manager
 
 	* GCC 4.8.0 released.
